##################################################################
#
# config.mk
#
# @file        config.mk
# 
##################################################################
# @maintitle

# @code

# compilers

CC            = gcc
CXX           = g++
F77           = f77
AR            = ar -rc
#
#  ----->>>   settings for compilation
#

#-O2
OPTIM    = -Wall -fno-rtti -fno-exceptions -fPIC -Wtraditional -Wpointer-arith -Wcast-align -Wwrite-strings -Wconversion -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -Woverloaded-virtual -D_REENTRANT 
DEBUG    = -g

MARS_LIB  = -Llib $(SUBDIRS:%=-l%)
INCLUDES  = -I. $(SUBDIRS:%=-I%)

# uncomment this for quiet compilation

.SILENT:

# @endcode
##EOF


